Skip to content

Create product minimum stock

Request

Creates a new Product Minimum Stock record. Product Minimum Stock resource in the Animal Health Data Store

Security
bearer
Path
siteIdnumberrequired

Site identifier

Bodyapplication/jsonrequired
effectiveEndDatestring

Calendar date when this minimum stock configuration stops being effective, if seasonally constrained.

Example:"2025-01-01"
effectiveStartDatestring

Calendar date when this minimum stock configuration becomes effective, if seasonally constrained.

Example:"2025-01-01"
extensionsobject

Vendor- or practice-specific extensions.

isActivebooleanrequired

Whether this minimum stock configuration is currently active.

Example:true
locationOwnershipIdstringrequired

Identifier for the location/ownership context this minimum stock applies to (e.g., clinic location or inventory owner).

Example:"123e4567-e89b-12d3-a456-426614174000"
minimumStockQuantityobject(QuantityDto)required

The minimum level of stock allowed before a purchase order is required.

productIdstringrequired

Reference to the product this minimum stock configuration applies to.

Example:"123e4567-e89b-12d3-a456-426614174000"
productMinimumStockIdstring

Canonical identifier for this product minimum stock configuration.

Example:"123e4567-e89b-12d3-a456-426614174000"
reorderQuantityExpressionstring

Expression or value used to calculate reorder quantity, interpreted in conjunction with shouldReorderToMaxLevel and current quantity on hand.

Example:"example"
shouldReorderToMaxLevelbooleanrequired

If true, reorder so that quantity on hand reaches the target maximum level; if false, reorder at least the suggested quantity.

Example:true
curl -i -X POST \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/product-minimum-stock' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "effectiveEndDate": "2025-01-01",
    "effectiveStartDate": "2025-01-01",
    "extensions": {},
    "isActive": true,
    "locationOwnershipId": "123e4567-e89b-12d3-a456-426614174000",
    "minimumStockQuantity": {
      "value": 1.5,
      "unit": "km",
      "system": "http://unitsofmeasure.org"
    },
    "productId": "123e4567-e89b-12d3-a456-426614174000",
    "productMinimumStockId": "123e4567-e89b-12d3-a456-426614174000",
    "reorderQuantityExpression": "example",
    "shouldReorderToMaxLevel": true
  }'

Responses

Product Minimum Stock created successfully

Bodyapplication/json
createdAtstring, (date-time)required

Timestamp when this record was created.

Example:"2025-01-01T00:00:00.000Z"
effectiveEndDatestring, (date-time)required

Calendar date when this minimum stock configuration stops being effective, if seasonally constrained.

Example:"2025-01-01T00:00:00Z"
effectiveStartDatestring, (date-time)required

Calendar date when this minimum stock configuration becomes effective, if seasonally constrained.

Example:"2025-01-01T00:00:00Z"
extensionsobjectrequired

Vendor- or practice-specific extensions.

isActivebooleanrequired

Whether this minimum stock configuration is currently active.

Example:true
locationOwnershipIdstringrequired

Identifier for the location/ownership context this minimum stock applies to (e.g., clinic location or inventory owner).

Example:"123e4567-e89b-12d3-a456-426614174000"
minimumStockQuantityobject(QuantityDto)required

The minimum level of stock allowed before a purchase order is required.

productIdstringrequired

Reference to the product this minimum stock configuration applies to.

Example:"123e4567-e89b-12d3-a456-426614174000"
productMinimumStockIdstringrequired

Canonical identifier for this product minimum stock configuration.

Example:"123e4567-e89b-12d3-a456-426614174000"
reorderQuantityExpressionstringrequired

Expression or value used to calculate reorder quantity, interpreted in conjunction with shouldReorderToMaxLevel and current quantity on hand.

Example:"example"
shouldReorderToMaxLevelbooleanrequired

If true, reorder so that quantity on hand reaches the target maximum level; if false, reorder at least the suggested quantity.

Example:true
updatedAtstring, (date-time)required

Timestamp when this record was last updated.

Example:"2025-01-01T00:00:00.000Z"
Response
{ "createdAt": "2025-01-01T00:00:00.000Z", "effectiveEndDate": "2025-01-01T00:00:00Z", "effectiveStartDate": "2025-01-01T00:00:00Z", "extensions": {}, "isActive": true, "locationOwnershipId": "123e4567-e89b-12d3-a456-426614174000", "minimumStockQuantity": { "value": 1.5, "unit": "km", "system": "http://unitsofmeasure.org" }, "productId": "123e4567-e89b-12d3-a456-426614174000", "productMinimumStockId": "123e4567-e89b-12d3-a456-426614174000", "reorderQuantityExpression": "example", "shouldReorderToMaxLevel": true, "updatedAt": "2025-01-01T00:00:00.000Z" }